Class EndpointWithResponseMapperAttr<Req,Res,Err>
- java.lang.Object
-
- org.opensearch.client.transport.endpoints.DelegatingJsonEndpoint<Req,Res,Err>
-
- org.opensearch.client.transport.endpoints.EndpointWithResponseMapperAttr<Req,Res,Err>
-
- All Implemented Interfaces:
Endpoint<Req,Res,Err>,JsonEndpoint<Req,Res,Err>
public class EndpointWithResponseMapperAttr<Req,Res,Err> extends DelegatingJsonEndpoint<Req,Res,Err>
An endpoint wrapper that adds attributes to the JSON mapper used to deserialize its response.
-
-
Field Summary
-
Fields inherited from class org.opensearch.client.transport.endpoints.DelegatingJsonEndpoint
endpoint
-
-
Constructor Summary
Constructors Constructor Description EndpointWithResponseMapperAttr(JsonEndpoint<Req,Res,Err> endpoint, java.lang.String attrName, java.lang.Object attrValue)
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description JsonpDeserializer<Res>responseDeserializer()The entity parser for the response body.-
Methods inherited from class org.opensearch.client.transport.endpoints.DelegatingJsonEndpoint
errorDeserializer, hasRequestBody, headers, isError, method, queryParameters, requestUrl
-
-
-
-
Constructor Detail
-
EndpointWithResponseMapperAttr
public EndpointWithResponseMapperAttr(JsonEndpoint<Req,Res,Err> endpoint, java.lang.String attrName, java.lang.Object attrValue)
-
-
Method Detail
-
responseDeserializer
@Nullable public JsonpDeserializer<Res> responseDeserializer()
Description copied from interface:JsonEndpointThe entity parser for the response body.- Specified by:
responseDeserializerin interfaceJsonEndpoint<Req,Res,Err>- Overrides:
responseDeserializerin classDelegatingJsonEndpoint<Req,Res,Err>
-
-